PETSc version 3.15.5
Fix/Edit manual page

# PetscSFWindowFlavorType

Flavor for the creation of MPI windows for PETSCSFWINDOW

### Synopsis

    typedef enum {PETSCSF_WINDOW_FLAVOR_CREATE,PETSCSF_WINDOW_FLAVOR_DYNAMIC,PETSCSF_WINDOW_FLAVOR_ALLOCATE,PETSCSF_WINDOW_FLAVOR_SHARED} PetscSFWindowFlavorType;

     PETSCSF_WINDOW_FLAVOR_CREATE - Use MPI_Win_create, no reusage

     PETSCSF_WINDOW_FLAVOR_DYNAMIC - Use MPI_Win_create_dynamic and dynamically attach pointers

     PETSCSF_WINDOW_FLAVOR_ALLOCATE - Use MPI_Win_allocate

     PETSCSF_WINDOW_FLAVOR_SHARED - Use MPI_Win_allocate_shared

### See Also

PetscSFWindowSetFlavorType(), PetscSFWindowGetFlavorType()

### Level

advanced

### Location

src/vec/is/sf/../../../../include/petscsf.h
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages